明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 166|回复: 4

[讨论] 看看这个怎么弄

[复制链接]
发表于 2017-9-13 16:09 | 显示全部楼层 |阅读模式
(defun c:t ()
(setvar "osmode" (+ 0))
(while (and (setq p (getpoint "\n插入点: "))
             (setq str (getstring t "\n请输入文字: "))
        )
   (entmake (list '(0 . "TEXT") (cons 10 p)'(40 . 7)'(8 . "0")'(62 . 6)(cons 1 (strcat "BJX358" str))))
)
(setvar "osmode" 3)
(princ)
)
(setq HH:Osmode (getvar "osmode"))
(defun HH:resetosmode (v1 v2)
  (if (/= (getvar "osmode") HH:Osmode)
    (setvar "osmode" HH:Osmode)
  )
  (princ)
)
(vlr-editor-reactor
  nil
  '((:vlr-lispEnded . HH:ResetOsmode)
    (:vlr-lispCancelled . HH:ResetOsmode)
   )
)
这是一个单线文字插件,现在有个问题看看哪位能不能给解决一下:就是输入的文字是在当前图层,我想把它改为:不官当前是哪个图层,输入的文件放在lasey8这个图层里。请问怎么加一语句?

发表于 2017-9-13 16:18 | 显示全部楼层
(entmake (list '(0 . "TEXT") (cons 10 p)'(40 . 7)'(8 . "0")'(62 . 6)(cons 1 (strcat "BJX358" str))))

改8组码
 楼主| 发表于 2017-9-13 16:31 | 显示全部楼层
masterlong 发表于 2017-9-13 16:18
(entmake (list '(0 . "TEXT") (cons 10 p)'(40 . 7)'(8 . "0")'(62 . 6)(cons 1 (strcat "BJX358" str))) ...

是的,想把它放在图层8里
发表于 2017-9-13 22:08 | 显示全部楼层
(entmake (list '(0 . "TEXT") (cons 10 p)'(40 . 7)'(8 . "这里写你要放到的图层的名字")'(62 . 6)(cons 1 (strcat "BJX358" str))))
 楼主| 发表于 2017-9-16 11:32 | 显示全部楼层
669423907 发表于 2017-9-13 22:08
(entmake (list '(0 . "TEXT") (cons 10 p)'(40 . 7)'(8 . "这里写你要放到的图层的名字")'(62 . 6)(cons 1 ...

谢谢,修改好了
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2017-9-25 10:39 , Processed in 0.204048 second(s), 27 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表